Subject: Re: [PATCH v2] powerpc/fsl-booke: declare tlbcam_index for use in c file

From: Hollis Blanchard <[email-masked]>
Date: Mon, 05 Jan 2009 10:52:11 -0600

On Mon, 2009-01-05 at 10:26 -0600, Kumar Gala wrote:
> I'll pick this up, but wondering about this patch vs Trent's changes  
> to remove this.

Please do not pick up this patch; if you ack it, let us push it through
kvm.git. Otherwise we need to wait for it to travel from kumar.git ->
benh.git -> linus.git -> kvm.git before KVM will build.

If you're referring to http://patchwork.ozlabs.org/patch/12882/, that
patch removes a different variable (num_tlbcam_entries). tlbcam_index,
referenced below, still exists.

> How is KVM on fsl-booke using this value?

I'll let Yu answer that in more detail, but in
http://git.kernel.org/?p=linux/kernel/git/avi/kvm.git;a=blob_plain;f=arch/powerpc/kvm/e500_tlb.c;hb=HEAD it looks like he's storing guest TLB1 mappings in the real TLB1, alongside the host TLB1 mappings. Accordingly, he needs to know where the host mappings are to avoid clobbering them.

> On Jan 4, 2009, at 12:57 AM, Liu Yu wrote:
> 
> > Hi Kumar,
> >
> > Can I get your ack?
> > So that I can submit this patch through KVM tree.
> >
> >
> >> -----Original Message-----
> >> From: Liu Yu-B13201
> >> Sent: Friday, December 19, 2008 10:35 AM
> >> To: [email-masked]; [email-masked]
> >> Cc: [email-masked]; Gala Kumar-B11780; Piepho
> >> Trent-B16872; Wood Scott-B07421; Liu Yu-B13201
> >> Subject: [PATCH v2] powerpc/fsl-booke: declare tlbcam_index
> >> for use in c file
> >>
> >> KVM on E500 platform currently utilize TLB1 entries without
> >> bothering host,
> >> that is using unused TLB1 entries.
> >>
> >> So, KVM needs to read tlbcam_index to know exactly
> >> which TLB1 entry is unused by host.
> >>
> >> Signed-off-by: Liu Yu <[email-masked]>
> >> ---
> >> [v2]
> >> Remove num_tlbcam_entries declare and read from SPRN_TLB1CFG
> >> in KVM instead.
> >>
> >> arch/powerpc/include/asm/mmu-fsl-booke.h |    2 ++
> >> 1 files changed, 2 insertions(+), 0 deletions(-)
> >>
> >> diff --git a/arch/powerpc/include/asm/mmu-fsl-booke.h
> >> b/arch/powerpc/include/asm/mmu-fsl-booke.h
> >> index 925d93c..c86af6c 100644
> >> --- a/arch/powerpc/include/asm/mmu-fsl-booke.h
> >> +++ b/arch/powerpc/include/asm/mmu-fsl-booke.h
> >> @@ -73,6 +73,8 @@
> >>
> >> #ifndef __ASSEMBLY__
> >>
> >> +extern unsigned int tlbcam_index;
> >> +
> >> typedef struct {
> >> 	unsigned long id;
> >> 	unsigned long vdso_base;
> >> -- 
> >> 1.5.4
> >>
> >>
> > --
> > To unsubscribe from this list: send the line "unsubscribe kvm-ppc" in
> > the body of a message to [email-masked]
> > More majordomo info at  http://vger.kernel.org/majordomo-info.html
> 
-- 
Hollis Blanchard
IBM Linux Technology Center